<ion-header>
    <ion-toolbar mode="ios" class="header-page" color="light">
      <ion-buttons slot="start">
        <ion-button (click)="closeModal()">
          <ion-icon slot="icon-only" name="arrow-back"></ion-icon>
        </ion-button>
      </ion-buttons>
      <ion-title slot="start">Bộ lọc</ion-title>
    </ion-toolbar>
  </ion-header>
  <ion-content class="background-content has-fixed-bottom filter-container">
    <ion-grid fixed class="ion-no-padding">
      <ion-list margin-bottom-content>
        <ion-item lines="full">
          <ion-label slot="start">
            Tin nổi bật
          </ion-label>
          <ion-checkbox slot="end" [(ngModel)]="this.search.isPinTop" (ionChange)="checkNumberBoxSearch()"></ion-checkbox>
        </ion-item>
        <ion-item lines="full">
          <ion-label slot="start">
            Tỉnh thành
          </ion-label>
          <custom-ion-select class="custom-ion-select custom-ion-select-thuonghieu" (onChange)="checkNumberBoxSearch()"
            placeholder="Tỉnh thành" [isDialog]="true" [options]="{labelDefault:'Tỉnh thành'}" type="TinhThanh"
            [(ngModel)]="search.idTinhThanh"></custom-ion-select>
        </ion-item>
        <ion-item lines="full">
          <ion-label slot="start">
              Dòng xe
          </ion-label>
          <custom-ion-select class="custom-ion-select" placeholder="Dòng xe" (onChange)="checkNumberBoxSearch()"
            [isDialog]="true" [options]="{labelDefault:'Dòng xe'}" type="DongXe" [(ngModel)]="search.idDongXe">
          </custom-ion-select>
        </ion-item>
        <ion-item lines="full">
            <ion-label slot="start">
              Loại xe
            </ion-label>
            <custom-ion-select class="custom-ion-select" placeholder="Loại xe" (onChange)="checkNumberBoxSearch()"
              [isDialog]="true" [options]="{labelDefault:'Loại xe'}" type="LoaiXe" [(ngModel)]="search.idLoaiXe">
            </custom-ion-select>
          </ion-item>
      
  
      </ion-list>
      <ion-list margin-bottom-content>
        <ion-item lines="none">
          <div class="price-label">
            <span>Giá từ:</span>
            <span class="price-text">{{search.price.lower|shortcurrency:true}}</span> -
            <span
              class="price-text">{{search.price.upper==defaultPrice.upper? (defaultPrice.upper|shortcurrency:true) + '+':(search.price.upper|shortcurrency:true)}}</span>
          </div>
        </ion-item>
        <ion-item>
          <ion-range class="range-price" color="secondary" (ionChange)="checkNumberBoxSearch()" [(ngModel)]="search.price"
            dualKnobs="true" [min]="defaultPrice.lower" [max]="defaultPrice.upper" step="10000000">
          </ion-range>
        </ion-item>
      </ion-list>
      <ion-list margin-bottom-content>
        <ion-list-header>
          <ion-label> Tình trạng</ion-label>
        </ion-list-header>
        <ion-radio-group [(ngModel)]="search.tinhTrang">
          <ion-item lines="full" *ngFor="let item of listTinhTrangDangTin" (click)="checkNumberBoxSearch()">
            <ion-label>{{item.label}}</ion-label>
            <ion-radio slot="end" [value]="item.value" color="secondary"></ion-radio>
          </ion-item>
        </ion-radio-group>
      </ion-list>
      <ion-list margin-bottom-content>
        <ion-list-header>
          <ion-label> Sắp xếp</ion-label>
        </ion-list-header>
        <ion-radio-group [(ngModel)]="search.idSortBy">
          <ion-item lines="full" *ngFor="let item of sortByListTinDang" (click)="checkNumberBoxSearch()">
            <ion-label>{{item.label + (item.value == 0?" (mặc định)":"")}}</ion-label>
            <ion-radio slot="end" [value]="item.value" color="secondary"></ion-radio>
          </ion-item>
        </ion-radio-group>
      </ion-list>
  
  
    </ion-grid>
  </ion-content>
  <ion-fab vertical="bottom">
    <div class="fixed-bottom-container">
      <div class="fixed-bottom-container-row">
        <ion-button class="btn-reset" color="medium" expand="block" (click)="refreshSearch()">
          Thiết lập lại
        </ion-button>
        <ion-button class="btn-apply" color="success" expand="block" (click)="applySearch()">
          Áp dụng {{numberBoxSearch > 0? " (" + numberBoxSearch + ")" : ""}}
        </ion-button>
      </div>
    </div>
  </ion-fab>